apiVersion: v1
kind: Service
metadata:
  name: $CI_PROJECT_K8S_SRV
spec:
  ports:
  - port: 80
    targetPort: 80
  selector:
    app: $CI_PROJECT_K8S_SRV

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: $CI_PROJECT_K8S_DPLM
spec:
  selector:
    matchLabels:
      app: $CI_PROJECT_K8S_SRV
  replicas: $PROJECT_REPLICAS
  template:
    metadata:
      labels:
        app: $CI_PROJECT_K8S_SRV
    spec:
      containers:
        - name: $CI_PROJECT_K8S_CTR
          image: $CI_REGISTRY_IMAGE
          imagePullPolicy: Always
          ports:
          - containerPort: 80

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: $CI_PROJECT_K8S_INGR
  annotations:
    cert-manager.io/cluster-issuer: $K8S_CLUSTER_ISSUER
spec:
  tls:
    - hosts:
        - $PROJECT_URL
      secretName: $CI_PROJECT_K8S_CERT
  rules:
    - host: $PROJECT_URL
      http:
        paths:
          - pathType: Prefix
            path: /
            backend:
              service:
                name: $CI_PROJECT_K8S_SRV
                port:
                  number: 80

